OpenSubdiv: SurfaceFactory::Options Class Reference

| OpenSubdiv

Loading...
Searching...
No Matches
Public Member Functions | List of all members
SurfaceFactory::Options Class Reference

Simple set of options assigned to instances of SurfaceFactory. More...

`#include <surfaceFactory.h>`

## Public Member Functions
| Options ()
Options & | SetDefaultFVarID (FVarID id)
| Assign the default face-varying ID (none assigned by default) More...
FVarID | GetDefaultFVarID () const
| Return the default face-varying ID. More...
Options & | EnableCaching (bool on)
| Enable or disable caching (default is true): More...
bool | IsCachingEnabled () const
| Return if caching is enable. More...
Options & | SetExternalCache (SurfaceFactoryCache *c)
| Assign an external cache to override the internal. More...
SurfaceFactoryCache * | GetExternalCache () const
| Return any assigned external cache. More...
Options & | SetApproxLevelSmooth (int level)
| Assign maximum refinement level for smooth features. More...
int | GetApproxLevelSmooth () const
| Return maximum refinement level for smooth features. More...
Options & | SetApproxLevelSharp (int level)
| Assign maximum refinement level for sharp features. More...
int | GetApproxLevelSharp () const
| Return maximum refinement level for sharp features. More...

## Detailed Description

Simple set of options assigned to instances of SurfaceFactory.

The Options class is a simple container specifying options for the construction of the SurfaceFactory to be applied during its lifetime.

These options currently include choices to identify a default face-varying ID, to control caching behavior (on or off, use of external vs internal cache), and to control the accuracy of the resulting limit surface representations.

Definition at line 116 of file surfaceFactory.h.

## Constructor & Destructor Documentation

## ◆ Options()

Options | ( |  | ) |
| inline

Definition at line 118 of file surfaceFactory.h.

## Member Function Documentation

## ◆ EnableCaching()

SurfaceFactory::Options & EnableCaching | ( | bool | on | ) |
| inline

Enable or disable caching (default is true):

Definition at line 457 of file surfaceFactory.h.

## ◆ GetApproxLevelSharp()

int GetApproxLevelSharp | ( |  | ) | const
| inline

Return maximum refinement level for sharp features.

Definition at line 147 of file surfaceFactory.h.

## ◆ GetApproxLevelSmooth()

int GetApproxLevelSmooth | ( |  | ) | const
| inline

Return maximum refinement level for smooth features.

Definition at line 142 of file surfaceFactory.h.

## ◆ GetDefaultFVarID()

FVarID GetDefaultFVarID | ( |  | ) | const
| inline

Return the default face-varying ID.

Definition at line 125 of file surfaceFactory.h.

## ◆ GetExternalCache()

SurfaceFactoryCache * GetExternalCache | ( |  | ) | const
| inline

Return any assigned external cache.

Definition at line 135 of file surfaceFactory.h.

## ◆ IsCachingEnabled()

bool IsCachingEnabled | ( |  | ) | const
| inline

Return if caching is enable.

Definition at line 130 of file surfaceFactory.h.

## ◆ SetApproxLevelSharp()

SurfaceFactory::Options & SetApproxLevelSharp | ( | int | level | ) |
| inline

Assign maximum refinement level for sharp features.

Definition at line 472 of file surfaceFactory.h.

## ◆ SetApproxLevelSmooth()

SurfaceFactory::Options & SetApproxLevelSmooth | ( | int | level | ) |
| inline

Assign maximum refinement level for smooth features.

Definition at line 467 of file surfaceFactory.h.

## ◆ SetDefaultFVarID()

SurfaceFactory::Options & SetDefaultFVarID | ( | FVarID | id | ) |
| inline

Assign the default face-varying ID (none assigned by default)

Definition at line 452 of file surfaceFactory.h.

## ◆ SetExternalCache()

SurfaceFactory::Options & SetExternalCache | ( | SurfaceFactoryCache * | c | ) |
| inline

Assign an external cache to override the internal.

Definition at line 462 of file surfaceFactory.h.

The documentation for this class was generated from the following file:

- opensubdiv/bfr/surfaceFactory.h